package com.njcn.advance.pojo.dto.relevent;


import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

/*
 *一个归一化事件包含多个事件(一对多)
 *indexEventAss:事件关联分析表Guid
 *time:归一化中第一个时间
 *describe:关联事件描述
 *bRange:是否进行范围分析
 *indexUser:用户表Guid
 *updateTime:更新时间
 *state:数据状态
 *name:关联事件名称
 *list:属于该归一化事件的暂降事件
 *strTime:字符串时间
*/
@Data
public class EventAssObj implements Serializable {
	private String indexEventAss;
	private LocalDateTime time;
	private String describe;
	private int bRange;
	private String indexUser;
	private LocalDateTime updateTime = LocalDateTime.now();
	private int state;
	private String name;
	private String strTime;
	private List<SagEvent> list;

	public String getStrTime() {
		return strTime;
	}

	public void setStrTime(String strTime) {
		this.strTime = strTime;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIndexEventAss() {
		return indexEventAss;
	}

	public void setIndexEventAss(String indexEventAss) {
		this.indexEventAss = indexEventAss;
	}

	public LocalDateTime getTime() {
		return time;
	}

	public void setTime(LocalDateTime time) {
		this.time = time;
	}

	public String getDescribe() {
		return describe;
	}

	public void setDescribe(String describe) {
		this.describe = describe;
	}

	public int getbRange() {
		return bRange;
	}

	public void setbRange(int bRange) {
		this.bRange = bRange;
	}

	public String getIndexUser() {
		return indexUser;
	}

	public void setIndexUser(String indexUser) {
		this.indexUser = indexUser;
	}

	public LocalDateTime getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(LocalDateTime updateTime) {
		this.updateTime = updateTime;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}

	public List<SagEvent> getList() {
		return list;
	}

	public void setList(List<SagEvent> list) {
		this.list = list;
	}

	@Override
	public String toString() {
		return "EventAssObj [indexEventAss=" + indexEventAss + ", time=" + time + ", describe=" + describe + ", bRange="
				+ bRange + ", indexUser=" + indexUser + ", updateTime=" + updateTime + ", state=" + state + ", name="
				+ name + ", strTime=" + strTime + ", list=" + list + "]";
	}
}
